## ros-kinetic-ddynamic-reconfigure 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ddynamic_reconfigure)

find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  roscpp
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp dynamic_reconfigure
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/ddynamic_reconfigure.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
#add_executable(dynamic_reconfigure_node src/dynamic_reconfigure_node.cpp)
#target_link_libraries(dynamic_reconfigure_node ${catkin_LIBRARIES})

#make sure configure headers are built before any node using them
#add_dependencies(dynamic_reconfigure_node ${PROJECT_NAME}_gencfg)

#############  Test #################
add_executable(fake_dynamic_reconfigure_server test/fake_dynamic_reconfigure_server.cpp)
target_link_libraries(fake_dynamic_reconfigure_server ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(test_bool_dynamic_reconfigure_server test/test_bool_dynamic_reconfigure_server.cpp)
target_link_libraries(test_bool_dynamic_reconfigure_server ${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    add_rostest_gmock(ddynamic_reconfigure-test test/ddynamic_reconfigure.test test/test_ddynamic_reconfigure.cpp)
    target_link_libraries(ddynamic_reconfigure-test
                                ${PROJECT_NAME})
    add_executable(ddynamic_reconfigure_auto_update_test
        test/ddynamic_reconfigure_auto_update_test.cpp)
    target_link_libraries(ddynamic_reconfigure_auto_update_test ${PROJECT_NAME}
        ${catkin_LIBRARIES})

endif(CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-kinetic-ddynamic-reconfigure (0.2.0-0xenial) xenial; urgency=high

  * Merge branch 'refactor-functions' into 'erbium-devel'
    Accept functions callback per individual variable
    See merge request control/ddynamic_reconfigure!12
  * Extend readme
  * Add string and cleanup implementation
  * Add enums and callbacks
  * Accept functions callback per individual variable
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.7-0xenial) xenial; urgency=high

  * Merge branch 'fix-gmock-dependency' into 'erbium-devel'
    Rename gmock dependency for public release
    See merge request control/ddynamic_reconfigure!11
  * Rename gmock dependency for public release
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 19 Mar 2019 23:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.6-0xenial) xenial; urgency=high

  * Merge branch 'ddr_debug_msg' into 'erbium-devel'
    changed info msg to debug
    See merge request control/ddynamic_reconfigure!10
  * changed info msg to debug
  * Change license to BSD
  * Remove internal build system link
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.5-0xenial) xenial; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix test
    See merge request control/ddynamic_reconfigure!9
  * Fix comment regarding spin_thread
  * Fix failing test due to removal of spin_thread
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Mon, 08 Oct 2018 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.4-0xenial) xenial; urgency=high

  * Merge branch 'fix-spammy' into 'erbium-devel'
    Only publish when variables has changed
    See merge request control/ddynamic_reconfigure!8
  * Only publish when variables has changed
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Sun, 16 Sep 2018 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.3-0xenial) xenial; urgency=high

  * Reduce update frequency to 10second
  * Contributors: Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Thu, 13 Sep 2018 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.2-0xenial) xenial; urgency=high

  * Merge branch 'add-auto-publish' into 'erbium-devel'
    Add auto publish of updates values to ddynamic_reconfigure
    See merge request control/ddynamic_reconfigure!7
  * Add auto publish of updates values to ddynamic_reconfigure
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 11 Sep 2018 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.1-0xenial) xenial; urgency=high

  * Merge branch 'fix-test-crash' into 'erbium-devel'
    Fix test crash
    See merge request control/ddynamic_reconfigure!6
  * Fix uninitialized variables
  * Use gmock properly
  * fixed merge request
  * fixed merge
  * Fix service response
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 25 Jul 2018 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.1.0-0xenial) xenial; urgency=high

  * formating
  * made private unnecesary functions
  * Merge branch 'dubnium-devel' of gitlab:control/ddynamic_reconfigure into dubnium-devel
  * Formating
  * Add new file
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Sun, 14 Jan 2018 23:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.0.5-0xenial) xenial; urgency=high

  * Merge branch 'user-callback' into 'dubnium-devel'
    User callback
    Remember that we have to re release everyone who depends on this since it breaks API.
    See merge request !1
  * Add test for double param
  * Add hack to have namespaced DdynamicReconfigure, for easier migration
  * Add user callback and unit tests
  * Migrate package to format 2
  * Contributors: Hilario Tome, Victor Lopez

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Wed, 13 Apr 2016 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.0.4-0xenial) xenial; urgency=high

  * Added destructor, fixed bug
  * Added to dynamic reconfigure to parse from param server the initial value if it is availlable
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Sun, 06 Mar 2016 23:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.0.3-0xenial) xenial; urgency=high

  * Added license and documentation
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Tue, 09 Jun 2015 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.0.2-0xenial) xenial; urgency=high

  * Added min and max value specification when registering a variable
  * Contributors: Hilario Tome

 -- Hilario Tome <hilario.tome@pal-robotics.com>  Sun, 24 May 2015 22:00:00 -0000

ros-kinetic-ddynamic-reconfigure (0.0.1-0xenial) xenial; urgency=high

  * fix author, mantainer
  * move ddynamic reconfigure to standalone repo
  * Prepare ddynamic_reconfigure for standalone package
  * Added safe header
  * Added test folder
  * Fixed a bug when generating the config description, the int vector was being used in the bool part
  * Added typedef for ddreconfigure
  * Bug fix, now the parameters can be seen in dynamic reconfigure even if they have changed from c++
  * Updated DDynamic reconfigure to published updated values persistently
  * Added working momentum task
  * Fixed bug, wrong return statement
  * Fixed export
  * Fixed bug in ddynamic reconfigure and its CmakeFile
  * Minor changes to add the abstract reference to the goto dynamic tasks
  * Dynamics wbc is working again (Really slowly with uquadprog) visualization of torques and partially of forces (also partial force integration)
  * Added DDyanmic_reconfigure package, a way to have dynamic reconfigure functionality without a cfg
  * Contributors: Hilario Tome, Luca Marchionni



=== debian/control ===
Source: ros-kinetic-ddynamic-reconfigure
Section: misc
Priority: extra
Maintainer: Hilario Tome <hilario.tome@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-ddynamic-reconfigure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp
Description: The ddynamic_reconfigure package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ddynamic-reconfigure//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
